Package org.apache.nutch.scoring.webgraph

## Class NodeDumper.Sorter

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.nutch.scoring.webgraph.NodeDumper.Sorter

- All Implemented Interfaces:
    `Configurable`
  Enclosing class:
    NodeDumper

      public static class NodeDumper.Sorter
      extends Configured

  Outputs the top urls sorted in descending order. Depending on the flag set on the command line, the top urls could be for number of inlinks, for number of outlinks, or for link analysis score.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `NodeDumper.Sorter.SorterMapper` | Outputs the url with the appropriate number of inlinks, outlinks, or for score.
    `static class` | `NodeDumper.Sorter.SorterReducer` | Flips and collects the url and numeric sort value.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Sorter()` |

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sorter

          public Sorter()